Notícias

Sem alterar códigos aplicativos multi-dispositivos irão se adaptar a qualquer aparelho

app multi-dispositivo Android

Hoje o Google mostrou o primeiro aplicativo multi-dispositivo, que tem a capacidade de se adaptar a vários aparelhos sem que o desenvolvedor altere o código.

Os desenvolvedores tradicionalmente precisam alterar o seu código no aplicativo para que o mesmo seja compatível com os mais variados tipos de tamanho de tela e especificações, mas com apps multi-dispositivos isso será coisa do passado.

Os aplicativos multi-dispositivos serão o futuro do sistema Android como um todo, eles automaticamente irão se adaptar aos mais variados dispositivos. Algo legal é os aplicativos serão compatíveis automaticamente com o sistema Android, Android Wear, Android TV e Android Auto.

Para o desenvolvedor será um alivio já que o mesmo não precisa colocar vários códigos em seus aplicativos para torná-los compatíveis com os mais variados hardwares. Com um único código os desenvolvedores podem lançar um app com compatibilidade total para todos os sistemas Android, o que poupará trabalho, dinheiro e tempo que podem ser usados para outros projetos.

Para os usuários será algo excelente, já que nessa nova forma de desenvolvedor um aplicativo o usuário terá a certeza que o app será compatível com qualquer Android que tenha, mesmo que a tela seja pequena ou grande demais, mas mesmo apps multi-dispositivos terão especificações mínimas de hardware.

app multi-dispositivo Android

Inicialmente o Google mostrou um player de música compatível com todos os sistemas Android atuais, nesse exemplo cada aparelho poderá controlar o outro, isso significa que se estiver escutando música no smartphone poderá aumentar, trocar de faixa e muito mais usando outro dispositivo Android como um relógio inteligente.

O Google já lançou algumas fontes de estudo para os desenvolvedores, no site de desenvolvimento Android é possível ter acesso ao novo código para ir se habituando e aos poucos aplicando em seu aplicativo.

O problema atualmente é que tudo indica que essa novidade irá exigir o Android 5.0 Lollipop para funcionar, ou seja, talvez em outras versões mais antigas do Android essas novas funções não irão funcionar, mas em breve saberemos como irá funcionar de fato.

Artigo AnteriorPróximo Artigo
Sou uma pessoa que adora tecnologia, que gosta de ajudar, principalmente quando tem tecnologia envolvida, espero conseguir trazer muitas informações, aplicativos e principalmente jogos para todos que gostam de Android.

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *